﻿@using Toyota.Common.Web.Html;
@using Toyota.Common.Web.MVC;
@using Toyota.Common.Web.Html.Helper;
@using DevExpress.Web;
@using DevExpress.Web.Mvc;
@using System.Web.UI.WebControls;


        <table border="0" width="100%" >
                <tr>
                    <td style="height:25px; padding-right:4px;">
                         @Html.Label("Supplier")
                    </td>
                   <td style="padding-right:10px;">
                    @Html.Common().DevExpress().GridLookup(
                        setting =>
                        {
                            setting.Name = "LookupSupplier";
                            setting.GridProperties.KeyFieldName = "SupplierCode";
                            setting.Width = 120;
                            setting.GridProperties.Width = 150;
                            setting.GridProperties.CallbackRouteValues = new { Controller = "Junbiki", Action = "CallbackSupplier" };
                            setting.GridProperties.Height = 100;
                            setting.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = true;
                            setting.GridProperties.Columns.Add(c =>
                            {
                                c.Name = "SupplierCode";
                                c.FieldName = "SupplierCode";
                                c.Caption = "Supplier Code";
                            });
                            setting.GridProperties.Columns.Add(c =>
                            {
                                c.Name = "SupplierName";
                                c.FieldName = "SupplierName";
                                c.Caption = "Supplier Name";
                             });
                           }
                         ).Bind(ViewData["GridSupplier"]).GetHtml()
                    </td>
                    <td></td>
                    <td></td>
                </tr>
                <tr>
                    <td style="height:25px; padding-right:4px;">            
                        @Html.Label("Order Date")
                    </td>
                    <td style="padding-right:10px;">
                        @Html.DevExpress().DateEdit(
                            settings =>
                            {
                                settings.Name = "DateFrom";
                                settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                                //settings.Properties.NullText = "dd/MM/yyyy";
                                settings.Properties.EditFormat = EditFormat.Custom;
                                settings.Properties.EditFormatString = "dd/MM/yyyy";
                                settings.Properties.DisplayFormatString = "dd/MM/yyyy";
                                settings.Width = 120;
                            }
                        ).GetHtml()                    
                    </td>
                    <td style="height:25px; padding-right:4px;">          
                         @Html.Label("To")
                    </td>
                    <td style="padding-right:10px;">
                      @Html.DevExpress().DateEdit(
                                settings =>
                                {
                                    settings.Name = "DateTo";
                                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                                    //settings.Properties.NullText = "dd/MM/yyyy";
                                    settings.Properties.EditFormat = EditFormat.Custom;
                                    settings.Properties.EditFormatString = "dd/MM/yyyy";
                                    settings.Properties.DisplayFormatString = "dd/MM/yyyy";
                                    settings.Width = 120;
                                }
                            ).GetHtml()      
                    </td>
                    <td width = "120px"></td>
                </tr>
                <tr></tr>
    </table>
    <table  width="100%" border="0" cellpadding="0" cellspacing="0">
    <tr>                    
        <td align="right" width="60px">
                @Html.DevExpress().Button(
                settings =>
                {
                    settings.Name = "btnSearch";
                    settings.Text = "Search";
                    settings.Width = 80;
                    settings.UseSubmitBehavior = true;
                    settings.ClientSideEvents.Click = "prosesSearch";
                }
                ).GetHtml()
        </td>
        <td width="4px"></td>
        <td align="right" width="60px">
                @Html.DevExpress().Button(
                settings =>
                {
                    settings.Name = "btnClear";
                    settings.Text = "Clear";
                    settings.Width = 80;
                    //settings.Text = "<span style=\"text-decoration: underline;\">D</span>ownload";
                    settings.UseSubmitBehavior = true;
                    settings.ClientSideEvents.Click = "ClearItem";
                    
                }
                ).GetHtml()                    
        </td>
        <td width="25px"></td>
        <td align="right">
            @Html.DevExpress().Button(
                settings =>
                {
                    settings.Name = "btnGenerate";
                    settings.Text = "Generate Manifest No";
                    settings.Width = 150;
                    settings.UseSubmitBehavior = true;
                    settings.ClientSideEvents.Click = "function(s,e) { GridJunbikiDetailPopup.Refresh();popupPartial.Show();popupCreateManifest.Show();}";
                }
                ).GetHtml()                        
        </td>
    </tr>
</table>

  